import request from "@/Utils/requestUtils.js";
import $api from "@/Apis/api";
export const watchPunchRecordDetailService = {
  pageList: (data) => {
    console.log($api);
    return request.post($api.taskCenter.watchPunchRecordDetail.pageList, data);
  },
  export: (data) => {
    request
      .post($api.taskCenter.watchPunchRecordDetail.export, data, {
        responseType: "blob",
      })
      .then((res) => {
        request.download("打卡记录详情", res);
      });
  },
};
export const watchPunchRecordListService = {
  pageList: (data) => {
    console.log($api);
    return request.post($api.taskCenter.watchPunchRecordList.pageList, data);
  },
  export: (data) => {
    request
      .post($api.taskCenter.watchPunchRecordList.export, data, {
        responseType: "blob",
      })
      .then((res) => {
        request.download("打卡记录明细", res);
      });
  },
};
